<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/complaint.php';
session_start();
date_default_timezone_set('Asia/Rangoon');
$database = new Database();
$db = $database->getConnection();
 
$complaint = new Complaint($db);
$data = json_decode(file_get_contents("php://input"));
$complaint->id = $data->id;
$complaint->city = $data->city;
$complaint->complaint_date = $data->complaint_date . " " .date("H:i:s");
$complaint->complaint = $data->complaint;
$complaint->particular = $data->particular;
$complaint->customer_id = $data->customer_id;
$complaint->id_no = $data->id_no;
$complaint->name = $data->name;
$complaint->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$complaint->entry_date_time = date("Y-m-d H:i:s");

if($complaint->id){
	if($complaint->updateR()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "erroru"
		);	
	}

}else{
	if($complaint->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}

}

echo json_encode($msg_arr);
?>	